# Filename: pl_shift.py
# Purpose: Shift the entire polyline by an x/y/z distance.
# Returns: None.

from maptek import vulcan_gui

# use dynamic selection to select correct object
sel = vulcan_gui.selection("Select layer object.")
sel.criteria = ["LINE", "POLYGON"]  # limit selection to a polyline object
sel.single_object = True  # prevents selection prompt from asking more than once

x,y,z = 200.0,200.0,0.0  # x/y/z shift distance

for obj in sel:
    obj.shift(x, y, z)  # shift polygon by x,y,z distance
    sel.replace(obj)  # replaces the old object and preserves changes